Author Topic: CodeBlocks troubles with Slack  (Read 13721 times)

Offline Ben

  • Single posting newcomer
  • *
  • Posts: 4
CodeBlocks troubles with Slack
« on: January 08, 2006, 11:37:14 pm »
Hello Forum,
i've just installed CodeBlocks (codeblocks-cvs17112005-i686-1pn7) as suggested in forum message on a fresh Slackware 10.2 installation, just built the distro from scratch for this task, i don't want to use other distros, Slack fits in just 400Mb with X, blackbox WM and C::B; bare.i kernel, now custom things.
No fancy installation, just followed installer and got into them Libs, Gcc and X.
First problem, now solved, due to some Patrick's reasons GCC g++ 3.3.6 doesn't include proper libs, so i've also installed GCC cc and c++ compilers 3.4.4 to avoid troubles.
Now it seems c::b need wx gtk libs to run properly, see msg: "
codeblocks: error while loading shared libraries: libwx_gtk2-2.6.so.0: cannot open shared object file: No such file or directory
"
i don't want to build wx from scratch, i don't even know what pieces of them does c::b needs.

Is there someone who has already used c::b with Slack ? what tgz pkgs should i need to install, where i can find them ?
i've travelled around the forum and the net for three days but with no success, thank you in advance for your reply
Regards

Ben

Offline takeshi miya

  • Lives here!
  • ****
  • Posts: 1487
Re: CodeBlocks troubles with Slack
« Reply #1 on: January 09, 2006, 02:27:22 am »
I hope that the slackware package was built with the wxGTK package that is at linuxpackages.net.

If that's the case, the only thing you need is to download it from http://www.linuxpackages.net/pkg_details.php?id=8078 (for Slackware 10.2).

I don't use Slackware anymore, but the package should work ok. :)

Offline Ben

  • Single posting newcomer
  • *
  • Posts: 4
Re: CodeBlocks troubles with Slack
« Reply #2 on: January 09, 2006, 03:49:04 pm »
Back again,
i've already downloaded and installed tgz package from linuxpackages but it seems it doesn't work (i can install the package, i cannot run c::b), i got the same error message, while listing libraries on my pc i've not seen the library mentioned by codeblocks... what I guess the c::b package is wrong or maded with packages i don't have.
Any ideas ? how can i solve it ?

Thanks again
Ben

Offline David Perfors

  • Developer
  • Lives here!
  • *****
  • Posts: 560
Re: CodeBlocks troubles with Slack
« Reply #3 on: January 09, 2006, 07:19:16 pm »
do you have GTK(2) installed?
OS: winXP
Compiler: mingw
IDE: Code::Blocks SVN WX: 2.8.4 Wish list: faster code completion, easier debugging, refactoring

Offline polygon7

  • Multiple posting newcomer
  • *
  • Posts: 104
    • Home site
Re: CodeBlocks troubles with Slack
« Reply #4 on: January 09, 2006, 08:28:39 pm »
If You have wxGTK installed, then make symlink in Your /usr/lib (or in /opt/wx - i dont remember, i use Gentoo now) to the wxGTK2 lib:
Code: [Select]
ln -s Your-wxgtk2-2.6-lib libwx_gtk2-2.6.so.0
this should help.
best regards,
p7
 Free open source UML modeling tool: ArgoUML

Offline Ben

  • Single posting newcomer
  • *
  • Posts: 4
Re: CodeBlocks troubles with Slack
« Reply #5 on: January 10, 2006, 12:04:01 am »
So guys,
here's what i've installed (list got from pkgtool):
- wxGTK-2.6.2a-i486-1as
- gtk+-1.2.10-i386-3
- gtk+2-2.6.10-i486-1
and of course many others, but i don't think they'll be important (except GCC 3.3.6, 3.4.4 and GLIB i 've)

while searching through my disk here's what i've into /usr/lib
find / -name "*wx*" > output
/usr/bin/wxrc
/usr/bin/wx-config
/usr/bin/wxrc-2.6
/usr/doc/wxGTK-2.6.2a
/usr/lib/wx
/usr/lib/wx/include/gtk2-unicode-release-2.6/wx
/usr/lib/libwx_gtk2u_media-2.6.so
/usr/lib/libwx_gtk2u_stc-2.6.so.0.2.0
/usr/lib/libwx_gtk2u_media-2.6.so.0.2.0
/usr/lib/libwx_gtk2u_ogl-2.6.so.0
/usr/lib/libwx_gtk2u_adv-2.6.so
/usr/lib/libwx_gtk2u_stc-2.6.so.0
/usr/lib/libwx_gtk2u_qa-2.6.so.0
/usr/lib/libwx_baseu-2.6.so.0
/usr/lib/libwx_gtk2u_xrc-2.6.so.0
/usr/lib/libwx_gtk2u_media-2.6.so.0
/usr/lib/libwx_gtk2u_ogl-2.6.so
/usr/lib/libwx_gtk2u_gizmos-2.6.so.0
/usr/lib/libwx_gtk2u_qa-2.6.so.0.2.0
/usr/lib/libwx_baseu_net-2.6.so
/usr/lib/libwx_gtk2u_gizmos_xrc-2.6.so.0
/usr/lib/libwx_gtk2u_stc-2.6.so
/usr/lib/libwx_gtk2u_animate-2.6.so.0.2.0
/usr/lib/libwx_gtk2u_core-2.6.so.0.2.0
/usr/lib/libwx_gtk2u_xrc-2.6.so.0.2.0
/usr/lib/libwx_gtk2u_ogl-2.6.so.0.2.0
/usr/lib/libwx_baseu_net-2.6.so.0
/usr/lib/libwx_gtk2u_animate-2.6.so
/usr/lib/libwx_gtk2u_gizmos_xrc-2.6.so.0.2.0
/usr/lib/libwx_gtk2u_core-2.6.so.0
/usr/lib/libwx_baseu_net-2.6.so.0.2.0
/usr/lib/libwx_baseu_xml-2.6.so
/usr/lib/libwx_gtk2u_qa-2.6.so
/usr/lib/libwx_gtk2u_xrc-2.6.so
/usr/lib/libwx_baseu-2.6.so.0.2.0
/usr/lib/libwx_gtk2u_gizmos-2.6.so
/usr/lib/libwx_gtk2u_adv-2.6.so.0.2.0
/usr/lib/libwx_gtk2u_gizmos-2.6.so.0.2.0
/usr/lib/libwx_gtk2u_core-2.6.so
/usr/lib/libwx_gtk2u_animate-2.6.so.0
/usr/lib/libwx_gtk2u_html-2.6.so.0.2.0
/usr/lib/libwx_gtk2u_adv-2.6.so.0
/usr/lib/libwx_baseu_xml-2.6.so.0
/usr/lib/libwx_gtk2u_gizmos_xrc-2.6.so
/usr/lib/libwx_baseu-2.6.so
/usr/lib/libwx_gtk2u_html-2.6.so
/usr/lib/libwx_gtk2u_html-2.6.so.0
/usr/lib/libwx_baseu_xml-2.6.so.0.2.0
/usr/local/lib/libwxscintilla.so.0
/usr/local/lib/libwxscintilla.so.0.0.1
/usr/local/lib/libwxscintilla.la
/usr/local/lib/libwxscintilla.so
/usr/local/share/codeblocks/templates/wxwidgets.template
/usr/local/share/codeblocks/templates/wx-main-ash.cpp
/usr/local/share/codeblocks/templates/wx-app-ash.cpp
/usr/local/share/codeblocks/templates/wx-main-sh.h
/usr/local/share/codeblocks/templates/wx-app-ash.h
/usr/local/share/codeblocks/templates/wx-main-sh.cpp
/usr/local/share/codeblocks/templates/wx-main-ash.h
/usr/local/share/codeblocks/templates/wx-main-s.cpp
/usr/local/share/codeblocks/templates/wxwidgets.cbp
/usr/local/share/codeblocks/templates/wxwidgets.png
/usr/share/locale/ca/LC_MESSAGES/wxstd.mo
/usr/share/locale/da/LC_MESSAGES/wxstd.mo
/usr/share/locale/de/LC_MESSAGES/wxstd.mo
/usr/share/locale/cs/LC_MESSAGES/wxstd.mo
/usr/share/locale/el/LC_MESSAGES/wxstd.mo
/usr/share/locale/es/LC_MESSAGES/wxstd.mo
/usr/share/locale/fi/LC_MESSAGES/wxstd.mo
/usr/share/locale/fr/LC_MESSAGES/wxstd.mo
/usr/share/locale/id/LC_MESSAGES/wxstd.mo
/usr/share/locale/hu/LC_MESSAGES/wxstd.mo
/usr/share/locale/ja/LC_MESSAGES/wxstd.mo
/usr/share/locale/it/LC_MESSAGES/wxmsw.mo
/usr/share/locale/it/LC_MESSAGES/wxstd.mo
/usr/share/locale/nl/LC_MESSAGES/wxstd.mo
/usr/share/locale/pl/LC_MESSAGES/wxstd.mo
/usr/share/locale/ru/LC_MESSAGES/wxstd.mo
/usr/share/locale/sl/LC_MESSAGES/wxstd.mo
/usr/share/locale/sv/LC_MESSAGES/wxstd.mo
/usr/share/locale/tr/LC_MESSAGES/wxstd.mo
/usr/share/locale/uk/LC_MESSAGES/wxstd.mo
/usr/share/locale/zh_CN/LC_MESSAGES/wxstd.mo
/usr/share/locale/zh_TW/LC_MESSAGES/wxstd.mo
/usr/share/aclocal/wxwin.m4
/usr/share/bakefile/presets/wx_win32.bkl
/usr/share/bakefile/presets/wx.bkl
/usr/share/bakefile/presets/wx_unix.bkl
/usr/include/wx-2.6
/usr/include/wx-2.6/wx
/usr/include/wx-2.6/wx/wx.h
/usr/include/wx-2.6/wx/wxchar.h
/usr/include/wx-2.6/wx/wxhtml.h
/usr/include/wx-2.6/wx/wxprec.h

So what should i link to create the missing "libwx_gtk2-2.6.so.0" ?

Thanks again folks
Ben

Offline takeshi miya

  • Lives here!
  • ****
  • Posts: 1487
Re: CodeBlocks troubles with Slack
« Reply #6 on: January 10, 2006, 12:22:51 am »
There is the possibility that the C::B package was not created using the wx2.6 unicode package that is listed in linuxpackages.net

Offline rudin

  • Multiple posting newcomer
  • *
  • Posts: 19
Re: CodeBlocks troubles with Slack
« Reply #7 on: January 10, 2006, 01:38:14 am »
It seems that wxGTK library you have (from wxGTK-2.6.2a-i486-1as package), is not built as a monolithic library (which is required by CodeBlocks), so IMHO you can not use that package. I think you have to build your own wxWidgets library by yourself. Instructions can be found here: http://wiki.codeblocks.org/index.php?title=Compiling_Code::Blocks_in_Linux_%28applies_to_all_distros%29#wxGTK-2.6.2_installation



Offline mandrav

  • Project Leader
  • Administrator
  • Lives here!
  • *****
  • Posts: 4291
    • Code::Blocks IDE
Re: CodeBlocks troubles with Slack
« Reply #8 on: January 10, 2006, 09:27:12 am »
It seems that wxGTK library you have (from wxGTK-2.6.2a-i486-1as package), is not built as a monolithic library (which is required by CodeBlocks), so IMHO you can not use that package.

Please don't say things that you are not sure about. Ofcourse it supports non-monolithic wxWidgets libs in linux.
Monolithic wx is needed only under windows.

@Ben: have you run 'ldconfig' ? If not, please do, else post the output of the following commands:
Code: [Select]
ldconfig -V|grep wx_gtk
ldd /usr/bin/codeblocks (change the path if it is installed elsewhere)
Be patient!
This bug will be fixed soon...

Offline Ceniza

  • Developer
  • Lives here!
  • *****
  • Posts: 1441
    • CenizaSOFT
Re: CodeBlocks troubles with Slack
« Reply #9 on: January 10, 2006, 09:32:45 am »
Quote from: mandrav
Monolithic wx is needed only under windows.

Would you mind to explain me why is it needed?

Linking against non-monolithic wxWidgets requires a longer command line and relies on more DLLs. Building Code::Blocks with a non-monolithic wxWidgets under Windows should just need a few changes in the project file. Am I missing something?

Offline mandrav

  • Project Leader
  • Administrator
  • Lives here!
  • *****
  • Posts: 4291
    • Code::Blocks IDE
Re: CodeBlocks troubles with Slack
« Reply #10 on: January 10, 2006, 09:47:22 am »
Quote from: mandrav
Monolithic wx is needed only under windows.

Would you mind to explain me why is it needed?

"Needed" as in "the project file is setup for it". Ofcourse you could change it for multi-dll build...
Be patient!
This bug will be fixed soon...

Offline takeshi miya

  • Lives here!
  • ****
  • Posts: 1487
Re: CodeBlocks troubles with Slack
« Reply #11 on: January 10, 2006, 10:54:33 am »
It would be great if switching between monolithic/non-monolithic was easy in Code::Blocks.
Something to take in account for the Compiler redesign probably.

Offline tiwag

  • Developer
  • Lives here!
  • *****
  • Posts: 1196
  • sailing away ...
    • tiwag.cb
Re: CodeBlocks troubles with Slack
« Reply #12 on: January 10, 2006, 12:09:01 pm »
It would be great if switching between monolithic/non-monolithic was easy in Code::Blocks.
Something to take in account for the Compiler redesign probably.
"Eierlegende Wollmichsau"



Offline rudin

  • Multiple posting newcomer
  • *
  • Posts: 19
Re: CodeBlocks troubles with Slack
« Reply #14 on: January 10, 2006, 12:41:14 pm »
Quote
Please don't say things that you are not sure about. Ofcourse it supports non-monolithic wxWidgets libs in linux.
Monolithic wx is needed only under windows.

I'm sorry for causing misunderstanding. I mean wxGTK monolithic build is required for Ben's CodeBlocks installation since it's obviously said missing libwx_gtk2-2.6.so.0 (and not libwx_gtk2_core-2.6.so.0.2.0 or some other libraries). I experienced the same problem with Ben before and it was solved with building wxGTK as monolithic library.

Offline mandrav

  • Project Leader
  • Administrator
  • Lives here!
  • *****
  • Posts: 4291
    • Code::Blocks IDE
Re: CodeBlocks troubles with Slack
« Reply #15 on: January 10, 2006, 12:51:31 pm »
I'm sorry for causing misunderstanding. I mean wxGTK monolithic build is required for Ben's CodeBlocks installation since it's obviously said missing libwx_gtk2-2.6.so.0 (and not libwx_gtk2_core-2.6.so.0.2.0 or some other libraries). I experienced the same problem with Ben before and it was solved with building wxGTK as monolithic library.

Ah, thanks for clarifying. In this case you 're right then :)
Be patient!
This bug will be fixed soon...

Offline rudin

  • Multiple posting newcomer
  • *
  • Posts: 19
Re: CodeBlocks troubles with Slack
« Reply #16 on: January 10, 2006, 12:56:52 pm »
 :)

Offline Ben

  • Single posting newcomer
  • *
  • Posts: 4
Re: CodeBlocks troubles with Slack
« Reply #17 on: January 10, 2006, 10:14:46 pm »
So guys, here are results you need:

from ldconfig i got :
# ldconfig -v|grep wx_gtk
   libwx_gtk2u_html-2.6.so.0 -> libwx_gtk2u_html-2.6.so.0.2.0
   libwx_gtk2u_adv-2.6.so.0 -> libwx_gtk2u_adv-2.6.so.0.2.0
   libwx_gtk2u_core-2.6.so.0 -> libwx_gtk2u_core-2.6.so.0.2.0
   libwx_gtk2u_animate-2.6.so.0 -> libwx_gtk2u_animate-2.6.so.0.2.0
   libwx_gtk2u_gizmos_xrc-2.6.so.0 -> libwx_gtk2u_gizmos_xrc-2.6.so.0.2.0
   libwx_gtk2u_gizmos-2.6.so.0 -> libwx_gtk2u_gizmos-2.6.so.0.2.0
   libwx_gtk2u_xrc-2.6.so.0 -> libwx_gtk2u_xrc-2.6.so.0.2.0
   libwx_gtk2u_qa-2.6.so.0 -> libwx_gtk2u_qa-2.6.so.0.2.0
   libwx_gtk2u_ogl-2.6.so.0 -> libwx_gtk2u_ogl-2.6.so.0.2.0
   libwx_gtk2u_media-2.6.so.0 -> libwx_gtk2u_media-2.6.so.0.2.0
   libwx_gtk2u_stc-2.6.so.0 -> libwx_gtk2u_stc-2.6.so.0.2.0

From ldd i got these dependencies:
# ldd /usr/bin/codeblocks
   libgcc_s.so.1 => /usr/lib/libgcc_s.so.1 (0x4001e000)
   libcodeblocks.so.0 => /usr/local/lib/libcodeblocks.so.0 (0x40028000)
   libwxscintilla.so.0 => /usr/local/lib/libwxscintilla.so.0 (0x4016b000)
   libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x4026a000)
   libpthread.so.0 => /lib/libpthread.so.0 (0x40338000)
   libdl.so.2 => /lib/libdl.so.2 (0x40389000)
   libwx_gtk2-2.6.so.0 => not found
   libm.so.6 => /lib/libm.so.6 (0x4038e000)
   libc.so.6 => /lib/libc.so.6 (0x403b1000)
   /lib/ld-linux.so.2 (0x40000000)
   libwx_gtk2-2.6.so.0 => not found
   libwx_gtk2-2.6.so.0 => not found


Cheers
Ben

Offline mandrav

  • Project Leader
  • Administrator
  • Lives here!
  • *****
  • Posts: 4291
    • Code::Blocks IDE
Re: CodeBlocks troubles with Slack
« Reply #18 on: January 10, 2006, 10:19:51 pm »
So, as rudin said, the package you 're trying to use has been designed with the monolithic wx version.
Why don't you build youself the HEAD version? It's easy, it's stable and feature-packed.
Be patient!
This bug will be fixed soon...